id: wordpress-breadcrumb-navxt

info:
  name: Breadcrumb NavXT Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/breadcrumb-navxt/
  metadata:
    plugin_namespace: breadcrumb-navxt
    wpscan: https://wpscan.com/plugin/breadcrumb-navxt
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/breadcrumb-navxt/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/breadcrumb-navxt.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 4a0a00473045022100911d082efdedc794648570748bfc9de642e3ac29fd7060afbdf6c74e184b2c340220553e6bf9ea14ed8aef7bd56fb1c9d7e084c61573eaf72c1d2d18241d4ed2c1da:922c64590222798bb761d5b6d8e72950